package com.ff.base.enums;

import lombok.Getter;

/**
 * 推广活动奖励类型
 *
 * @author liukang
 */
@Getter
public enum ActivityExtensionRewardType {

    /**
     *奖励类型 1.固定金额 2.随机金额 3.累计日结(只领取最高一档，按推广的每人进行派奖，次日自动派发到账 例如：今日有效推广8人，满足最高档奖励10/人，则可获得8*10=80的奖励)
     */
    REWARDTYPE_1("1", "固定金额"),
    REWARDTYPE_2("2", "随机金额"),
    REWARDTYPE_3("3", "累计日结");

    private final String code;
    private final String info;

    ActivityExtensionRewardType(String code, String info) {
        this.code = code;
        this.info = info;
    }
}
